Bug 88608 - boot loader/kernel mounts / as read-write, fails during boot.
boot loader/kernel mounts / as read-write, fails during boot.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 08:54 EDT by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-11 08:54:08 EDT
Description of problem:

After upgrading from RH 7.2 to RH 8.0 the system will no longer boot. This is
because the root file sytem is being mounted rw by the kernel. When rc.sysinit
attempts to fsck the root filesystem it aborts to a single user shell.

The status of the mount was confirmed by modifying rc.sysinit to display mount
state at top of file. This indicated that the filesystem is mounted rw 

The configs in the boot loader specify that root should be mounted read-only and
the fault occurrs with both grub and lilo.



Version-Release number of selected component (if applicable):


How reproducible:

Occurred on two (out of two) different systems when they were upgraded.


Steps to Reproduce:
1. System has RH 7.2 installed with up2date errata applied and boots with grub
2. Upgrade to RH 8.0 and request change to LILO boot loader
3.
    
Actual results:

System fails during boot as described above

Expected results:

System boots normally

Additional info:

I don't know if the change from grub to lilo is significant, but it was the only
unusual option in the upgrade. 

Both systems are dual boot, one with win 2K, the other with win XP.
One system was subsequently overwritten with a clean install and works normally.
Comment 1 Bugzilla owner 2004-09-30 11:40:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.